Qt Reference Documentation

- Qt 4.8
- ALL VERSIONS

- A
- A
- A
- Print

# QXmlEntityResolver Class Reference

The QXmlEntityResolver class provides an interface to resolve external entities contained in XML data. More...

     #include <QXmlEntityResolver>

Inherited by: QXmlDefaultHandler.

Note: All functions in this class are reentrant.

- List of all members, including inherited members

## Public Functions

virtual | ~QXmlEntityResolver ()
virtual QString | errorString () const = 0
virtual bool | resolveEntity ( const QString & publicId, const QString & systemId, QXmlInputSource *& ret ) = 0

## Detailed Description

The QXmlEntityResolver class provides an interface to resolve external entities contained in XML data.

If an application needs to implement customized handling for external entities, it must implement this interface, i.e. resolveEntity(), and register it with QXmlReader::setEntityResolver().

See also QXmlDTDHandler, QXmlDeclHandler, QXmlContentHandler, QXmlErrorHandler, QXmlLexicalHandler, and Introduction to SAX2.

## Member Function Documentation

### QXmlEntityResolver::~QXmlEntityResolver ()`[virtual]`

Destroys the entity resolver.

### QString QXmlEntityResolver::errorString () const`[pure virtual]`

The reader calls this function to get an error string if any of the handler functions returns false.

### bool QXmlEntityResolver::resolveEntity ( const QString & publicId, const QString & systemId, QXmlInputSource *& ret )`[pure virtual]`

The reader calls this function before it opens any external entity, except the top-level document entity. The application may request the reader to resolve the entity itself (ret is 0) or to use an entirely different input source (ret points to the input source).

The reader deletes the input source ret when it no longer needs it, so you should allocate it on the heap with `new`.

The argument publicId is the public identifier of the external entity, systemId is the system identifier of the external entity and ret is the return value of this function. If ret is 0 the reader should resolve the entity itself, if it is non-zero it must point to an input source which the reader uses instead.

If this function returns false the reader stops parsing and reports an error. The reader uses the function errorString() to get the error message.